import { IgrSpreadsheetModule } from "igniteui-react-spreadsheet";
import { SpreadsheetChartAdapterLocaleEn } from './SpreadsheetChartAdapterLocaleEn';
import { Localization } from "igniteui-react-core";
import { IgrDataChartCoreModule } from "igniteui-react-charts";
import { IgrPieChartModule } from "igniteui-react-charts";
import { IgrLineSeriesModule } from "igniteui-react-charts";
import { IgrAreaSeriesModule } from "igniteui-react-charts";
import { IgrColumnSeriesModule } from "igniteui-react-charts";
import { IgrBarSeriesModule } from "igniteui-react-charts";
import { IgrSplineSeriesModule } from "igniteui-react-charts";
import { IgrSplineAreaSeriesModule } from "igniteui-react-charts";
import { IgrStepLineSeriesModule } from "igniteui-react-charts";
import { IgrStepAreaSeriesModule } from "igniteui-react-charts";
import { IgrPointSeriesModule } from "igniteui-react-charts";
import { IgrWaterfallSeriesModule } from "igniteui-react-charts";
import { IgrCrosshairLayerModule } from "igniteui-react-charts";
import { IgrCalloutLayerModule } from "igniteui-react-charts";
import { IgrItemToolTipLayerModule } from "igniteui-react-charts";
import { IgrCategoryToolTipLayerModule } from "igniteui-react-charts";
import { IgrCategoryHighlightLayerModule } from "igniteui-react-charts";
import { IgrCategoryItemHighlightLayerModule } from "igniteui-react-charts";
import { IgrFinalValueLayerModule } from "igniteui-react-charts";
import { IgrNumberAbbreviatorModule } from "igniteui-react-charts";
import { IgrDataChartInteractivityModule } from "igniteui-react-charts";
import { IgrDataChartCategoryTrendLineModule } from "igniteui-react-charts";
import { IgrDataChartAnnotationModule } from "igniteui-react-charts";
import { IgrDoughnutChartModule } from "igniteui-react-charts";
import { IgrCategoryXAxisModule } from "igniteui-react-charts";
import { IgrNumericYAxisModule } from "igniteui-react-charts";
import { IgrCategoryDateTimeXAxisModule } from "igniteui-react-charts";
import { IgrTimeXAxisModule } from "igniteui-react-charts";
import { IgrOrdinalTimeXAxisModule } from "igniteui-react-charts";
import { IgrNumericRadiusAxisModule } from "igniteui-react-charts";
import { IgrNumericAngleAxisModule } from "igniteui-react-charts";
import { IgrCategoryAngleAxisModule } from "igniteui-react-charts";
import { IgrCategoryYAxisModule } from "igniteui-react-charts";
import { IgrNumericXAxisModule } from "igniteui-react-charts";
import { IgrRadialColumnSeriesModule } from "igniteui-react-charts";
import { IgrRadialPieSeriesModule } from "igniteui-react-charts";
import { IgrRadialLineSeriesModule } from "igniteui-react-charts";
import { IgrRadialAreaSeriesModule } from "igniteui-react-charts";
import { IgrPolarLineSeriesModule } from "igniteui-react-charts";
import { IgrPolarSplineSeriesModule } from "igniteui-react-charts";
import { IgrPolarAreaSeriesModule } from "igniteui-react-charts";
import { IgrPolarSplineAreaSeriesModule } from "igniteui-react-charts";
import { IgrPolarScatterSeriesModule } from "igniteui-react-charts";
import { IgrRangeAreaSeriesModule } from "igniteui-react-charts";
import { IgrRangeColumnSeriesModule } from "igniteui-react-charts";
import { IgrPercentChangeYAxisModule } from "igniteui-react-charts";
import { IgrFinancialPriceSeriesModule } from "igniteui-react-charts";
import { IgrIndicatorsModule } from "igniteui-react-charts";
import { IgrOverlaysModule } from "igniteui-react-charts";
import { IgrZoomSliderModule } from "igniteui-react-charts";
import { IgrFinancialLegendModule } from "igniteui-react-charts";
import { IgrLegendModule } from "igniteui-react-charts";
import { IgrItemLegendModule } from "igniteui-react-charts";
import { IgrScatterSeriesModule } from "igniteui-react-charts";
import { IgrScatterLineSeriesModule } from "igniteui-react-charts";
import { IgrScatterSplineSeriesModule } from "igniteui-react-charts";
import { IgrBubbleSeriesModule } from "igniteui-react-charts";
import { IgrRingSeriesModule } from "igniteui-react-charts";
import { IgrStackedAreaSeriesModule } from "igniteui-react-charts";
import { IgrStackedBarSeriesModule } from "igniteui-react-charts";
import { IgrStackedColumnSeriesModule } from "igniteui-react-charts";
import { IgrStackedLineSeriesModule } from "igniteui-react-charts";
import { IgrStacked100AreaSeriesModule } from "igniteui-react-charts";
import { IgrStacked100BarSeriesModule } from "igniteui-react-charts";
import { IgrStacked100ColumnSeriesModule } from "igniteui-react-charts";
import { IgrStacked100LineSeriesModule } from "igniteui-react-charts";
import { IgrStackedFragmentSeriesModule } from "igniteui-react-charts";
import { IgrAreaFragmentModule } from "igniteui-react-charts";
import { IgrColumnFragmentModule } from "igniteui-react-charts";
import { IgrLineFragmentModule } from "igniteui-react-charts";
import { IgrSplineFragmentModule } from "igniteui-react-charts";
import { IgrSplineAreaFragmentModule } from "igniteui-react-charts";
import { IgrBarFragmentModule } from "igniteui-react-charts";
var IgrSpreadsheetChartAdapterModule = /** @class */ /*@__PURE__*/ (function () {
    function IgrSpreadsheetChartAdapterModule() {
    }
    IgrSpreadsheetChartAdapterModule.register = function () {
        IgrSpreadsheetModule.register();
        IgrDataChartCoreModule.register();
        IgrPieChartModule.register();
        IgrLineSeriesModule.register();
        IgrAreaSeriesModule.register();
        IgrColumnSeriesModule.register();
        IgrBarSeriesModule.register();
        IgrSplineSeriesModule.register();
        IgrSplineAreaSeriesModule.register();
        IgrStepLineSeriesModule.register();
        IgrStepAreaSeriesModule.register();
        IgrPointSeriesModule.register();
        IgrWaterfallSeriesModule.register();
        IgrCrosshairLayerModule.register();
        IgrCalloutLayerModule.register();
        IgrItemToolTipLayerModule.register();
        IgrCategoryToolTipLayerModule.register();
        IgrCategoryHighlightLayerModule.register();
        IgrCategoryItemHighlightLayerModule.register();
        IgrFinalValueLayerModule.register();
        IgrNumberAbbreviatorModule.register();
        IgrDataChartInteractivityModule.register();
        IgrDataChartCategoryTrendLineModule.register();
        IgrDataChartAnnotationModule.register();
        IgrDoughnutChartModule.register();
        IgrCategoryXAxisModule.register();
        IgrNumericYAxisModule.register();
        IgrCategoryDateTimeXAxisModule.register();
        IgrTimeXAxisModule.register();
        IgrOrdinalTimeXAxisModule.register();
        IgrNumericRadiusAxisModule.register();
        IgrNumericAngleAxisModule.register();
        IgrCategoryAngleAxisModule.register();
        IgrCategoryYAxisModule.register();
        IgrNumericXAxisModule.register();
        IgrRadialColumnSeriesModule.register();
        IgrRadialPieSeriesModule.register();
        IgrRadialLineSeriesModule.register();
        IgrRadialAreaSeriesModule.register();
        IgrPolarLineSeriesModule.register();
        IgrPolarSplineSeriesModule.register();
        IgrPolarAreaSeriesModule.register();
        IgrPolarSplineAreaSeriesModule.register();
        IgrPolarScatterSeriesModule.register();
        IgrRangeAreaSeriesModule.register();
        IgrRangeColumnSeriesModule.register();
        IgrPercentChangeYAxisModule.register();
        IgrFinancialPriceSeriesModule.register();
        IgrIndicatorsModule.register();
        IgrOverlaysModule.register();
        IgrZoomSliderModule.register();
        IgrFinancialLegendModule.register();
        IgrLegendModule.register();
        IgrItemLegendModule.register();
        IgrScatterSeriesModule.register();
        IgrScatterLineSeriesModule.register();
        IgrScatterSplineSeriesModule.register();
        IgrBubbleSeriesModule.register();
        IgrStackedAreaSeriesModule.register();
        IgrStackedBarSeriesModule.register();
        IgrStackedColumnSeriesModule.register();
        IgrStackedLineSeriesModule.register();
        IgrStacked100AreaSeriesModule.register();
        IgrStacked100BarSeriesModule.register();
        IgrStacked100ColumnSeriesModule.register();
        IgrStacked100LineSeriesModule.register();
        IgrStackedFragmentSeriesModule.register();
        IgrAreaFragmentModule.register();
        IgrRingSeriesModule.register();
        IgrColumnFragmentModule.register();
        IgrLineFragmentModule.register();
        IgrSplineFragmentModule.register();
        IgrSplineAreaFragmentModule.register();
        IgrBarFragmentModule.register();
        Localization.register("spreadsheetchartadapter", new SpreadsheetChartAdapterLocaleEn());
    };
    return IgrSpreadsheetChartAdapterModule;
}());
export { IgrSpreadsheetChartAdapterModule };
